Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-6136

newparam(:downgrade) for package type

    XMLWordPrintable

Details

    • New Feature
    • Status: Closed
    • Normal
    • Resolution: Won't Do
    • None
    • None
    • Types and Providers
    • Theoretically all OS, but then again I have no experience with chocolatey.

    • Needs Priority

    Description

      New parameter :downgrade will downgrade a package if set to true. Defaults to true. Current non-parameter behavior is always true.

      Initial PR hopefully within a week.

      Questions:

      1. Is this an improvement or new feature? If new feature, is this ok for a Puppet 4.4.x or does it need to be moved to 4.5.0?
      2. Is :downgrade an appropriate parameter name for this functionality since its naming is somewhat tailored to the yum provider?
      3. Is this soon enough to fit in the 4.4.2 milestone or do I need to delay for 4.4.3?

      Attachments

        Activity

          People

            Unassigned Unassigned
            mis6541 Matt Schuchard
            Votes:
            0 Vote for this issue
            Watchers:
            4 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Zendesk Support